#
# makefile for Turbo C++ 1.01
# make -fmakefile.tcc
#

KERNEL_DIR = ..\ke2035db\hdr
#KERNEL_DIR = ..\kernel\hdr
KERNEL_HDRS = algnbyte.h algndflt.h nls.h portab.h
CC = tcc
CFLAGS = -O -ms
#LIB = lib
LIB = tlib
LIBFLAGS = /C

.c.obj:
	$(CC) -c $(CFLAGS) -I. -DFORSYS $<
	echo -+$*.obj & >>objlist

SRC = error.c isview.c oc.c ochartab.c ocmt.c odbcs.c oend.c oextinf.c of.c \
	ofnum.c ofterm.c olabelc.c onl.c oo.c oonam.c oou.c oou_.c oouc.c \
	oradix.c os.c ot.c otb.c otbf.c otd.c otid.c otiw.c otlb.c otld.c otlw.c \
	otopen.c ottc.c otw.c oyesno.c unf_allo.c unf_crt.c unf_dump.c unf_err.c \
	unf_fdat.c unf_free.c unf_get.c unf_in.c unf_irx.c unf_kchk.c unf_load.c \
	unf_ocl.c unf_orx.c unf_out.c unf_rac.c unf_schk.c unf_sdp.c unf_tab.c
OBJ = error.obj isview.obj oc.obj ochartab.obj ocmt.obj odbcs.obj oend.obj \
	oextinf.obj of.obj ofnum.obj ofterm.obj olabelc.obj onl.obj oo.obj \
	oonam.obj oou.obj oou_.obj oouc.obj oradix.obj os.obj ot.obj otb.obj \
	otbf.obj otd.obj otid.obj otiw.obj otlb.obj otld.obj otlw.obj otopen.obj \
	ottc.obj otw.obj oyesno.obj unf_allo.obj unf_crt.obj unf_dump.obj \
	unf_err.obj unf_fdat.obj unf_free.obj unf_get.obj unf_in.obj unf_irx.obj \
	unf_kchk.obj unf_load.obj unf_ocl.obj unf_orx.obj unf_out.obj \
	unf_rac.obj unf_schk.obj unf_sdp.obj unf_tab.obj
HDR = nls.loc unf.h unf.loc unf_post.loc

#all: unf.lib tools
all: kernelhdr unf.lib

unf.lib : $(OBJ) kernelhdr
	$(LIB) unf.lib /C @objlist , nul

kernelhdr: $(KERNEL_HDRS)

algnbyte.h : $(KERNEL_DIR)\algnbyte.h
	copy $(KERNEL_DIR)\algnbyte.h . >nul

algndflt.h : $(KERNEL_DIR)\algndflt.h
	copy $(KERNEL_DIR)\algndflt.h . >nul

portab.h : $(KERNEL_DIR)\portab.h
	copy $(KERNEL_DIR)\portab.h . >nul

nls.h : $(KERNEL_DIR)\nls.h
	copy $(KERNEL_DIR)\nls.h . >nul


#MAKEDEP START
isview.obj : isview.c \
	 nls.loc unf.h unf.loc unf_post.loc
otw.obj : otw.c \
	 nls.loc unf.h unf.loc unf_post.loc
ottc.obj : ottc.c \
	 nls.loc unf.h unf.loc unf_post.loc
oonam.obj : oonam.c \
	 nls.loc unf.h unf.loc unf_post.loc
unf_irx.obj : unf_irx.c \
	 nls.loc unf.h unf.loc unf_post.loc
oyesno.obj : oyesno.c \
	 nls.loc unf.h unf.loc unf_post.loc
oextinf.obj : oextinf.c \
	 nls.loc unf.h unf.loc unf_post.loc
unf_rac.obj : unf_rac.c \
	 nls.loc unf.h unf.loc unf_post.loc
unf_dump.obj : unf_dump.c \
	 nls.loc unf.h unf.loc unf_post.loc
unf_tab.obj : unf_tab.c \
	 nls.loc unf.h unf.loc unf_post.loc
unf_orx.obj : unf_orx.c \
	 nls.loc unf.h unf.loc unf_post.loc
unf_ocl.obj : unf_ocl.c \
	 nls.loc unf.h unf.loc unf_post.loc
otlw.obj : otlw.c \
	 nls.loc unf.h unf.loc unf_post.loc
oradix.obj : oradix.c \
	 nls.loc unf.h unf.loc unf_post.loc
unf_get.obj : unf_get.c \
	 nls.loc unf.h unf.loc unf_post.loc
odbcs.obj : odbcs.c \
	 nls.loc unf.h unf.loc unf_post.loc
ofterm.obj : ofterm.c \
	 nls.loc unf.h unf.loc unf_post.loc
otid.obj : otid.c \
	 nls.loc unf.h unf.loc unf_post.loc
oou_.obj : oou_.c \
	 nls.loc unf.h unf.loc unf_post.loc
oc.obj : oc.c \
	 nls.loc unf.h unf.loc unf_post.loc
oou.obj : oou.c \
	 nls.loc unf.h unf.loc unf_post.loc
ocmt.obj : ocmt.c \
	 nls.loc unf.h unf.loc unf_post.loc
otopen.obj : otopen.c \
	 nls.loc unf.h unf.loc unf_post.loc
of.obj : of.c \
	 nls.loc unf.h unf.loc unf_post.loc
oouc.obj : oouc.c \
	 nls.loc unf.h unf.loc unf_post.loc
oo.obj : oo.c \
	 nls.loc unf.h unf.loc unf_post.loc
unf_in.obj : unf_in.c \
	 nls.loc unf.h unf.loc unf_post.loc
unf_out.obj : unf_out.c \
	 nls.loc unf.h unf.loc unf_post.loc
os.obj : os.c \
	 nls.loc unf.h unf.loc unf_post.loc
otiw.obj : otiw.c \
	 nls.loc unf.h unf.loc unf_post.loc
ot.obj : ot.c \
	 nls.loc unf.h unf.loc unf_post.loc
ochartab.obj : ochartab.c \
	 nls.loc unf.h unf.loc unf_post.loc
otb.obj : otb.c \
	 nls.loc unf.h unf.loc unf_post.loc
ofnum.obj : ofnum.c \
	 nls.loc unf.h unf.loc unf_post.loc
oend.obj : oend.c \
	 nls.loc unf.h unf.loc unf_post.loc
unf_fdat.obj : unf_fdat.c \
	 nls.loc unf.h unf.loc unf_post.loc
otd.obj : otd.c \
	 nls.loc unf.h unf.loc unf_post.loc
unf_load.obj : unf_load.c \
	 nls.loc unf.h unf.loc unf_post.loc
unf_kchk.obj : unf_kchk.c \
	 nls.loc unf.h unf.loc unf_post.loc
onl.obj : onl.c \
	 nls.loc unf.h unf.loc unf_post.loc
unf_free.obj : unf_free.c \
	 nls.loc unf.h unf.loc unf_post.loc
error.obj : error.c \
	 nls.loc unf.h unf.loc unf_post.loc
otbf.obj : otbf.c \
	 nls.loc unf.h unf.loc unf_post.loc
unf_sdp.obj : unf_sdp.c \
	 nls.loc unf.h unf.loc unf_post.loc
unf_allo.obj : unf_allo.c \
	 nls.loc unf.h unf.loc unf_post.loc
unf_schk.obj : unf_schk.c \
	 nls.loc unf.h unf.loc unf_post.loc
unf_err.obj : unf_err.c \
	 nls.loc unf.h unf.loc unf_post.loc
unf_crt.obj : unf_crt.c \
	 nls.loc unf.h unf.loc unf_post.loc
otlb.obj : otlb.c \
	 nls.loc unf.h unf.loc unf_post.loc
olabelc.obj : olabelc.c \
	 nls.loc unf.h unf.loc unf_post.loc
otld.obj : otld.c \
	 nls.loc unf.h unf.loc unf_post.loc
DYNSOURCES =
#MAKEDEP STOP


clean:
	if exist unf.lib del unf.lib >nul
	if exist unf.bak del unf.bak >nul
	if exist objlist del objlist >nul
	if exist *.obj del *.obj >nul
	if exist algnbyte.h del algnbyte.h >nul
	if exist algndflt.h del algndflt.h >nul
	if exist nls.h del nls.h >nul
	if exist portab.h del portab.h >nul
